Bug 444239 - When no apps are found, distinguish in the UI between network failure and misconfiguration
Summary: When no apps are found, distinguish in the UI between network failure and mis...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-10-22 15:59 UTC by Nate Graham
Modified: 2021-12-02 17:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-10-22 15:59:31 UTC
It is possible for Discover to end up in a situation where it has no app backends present, or no valid repos for any app backends. (for example if the distro ships with only the Flatpak backend, but neglects to add any flatpak repos).

In such a circumstance discover announces that no apps were found and advocates checking the network connection, which is a red herring in this case. It should be intelligent enough to distinguish between "I can't find apps because I can't connect to the internet" and "I can't find apps because there are no valid app repos configured"
Comment 1 Bug Janitor Service 2021-12-02 16:04:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/215
Comment 2 Aleix Pol 2021-12-02 17:32:12 UTC
Git commit f935e48de1707348bd9af7ede0c4f26b462805fd by Aleix Pol.
Committed on 02/12/2021 at 16:36.
Pushed by ngraham into branch 'master'.

Improve error messages when the default source is not behaving

Addresses the weird error message we always get when the default backend
isn't working as expected.
Allows the backend to explain why instead of wildly guessing from the
frontend.

M  +2    -1    discover/DiscoverDeclarativePlugin.cpp
M  +2    -0    discover/FeaturedModel.cpp
M  +6    -0    discover/FeaturedModel.h
M  +18   -7    discover/qml/BrowsingPage.qml
A  +20   -0    discover/qml/ConvertDiscoverAction.qml     [License: LGPL(v2.0+)]
M  +1    -7    discover/qml/SourcesPage.qml
M  +1    -0    discover/resources.qrc
M  +13   -0    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp
M  +2    -0    libdiscover/backends/FlatpakBackend/FlatpakBackend.h
M  +9    -0    libdiscover/backends/PackageKitBackend/PackageKitBackend.cpp
M  +2    -0    libdiscover/backends/PackageKitBackend/PackageKitBackend.h
M  +6    -0    libdiscover/resources/AbstractResourcesBackend.cpp
M  +25   -0    libdiscover/resources/AbstractResourcesBackend.h

https://invent.kde.org/plasma/discover/commit/f935e48de1707348bd9af7ede0c4f26b462805fd